acme-default
============

Copyright 2016 Ertugrul Söylemez

Licensed under the Apache License, Version 2.0 (the "License");
you may not use these files except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.


Introduction
------------

This package defines a type class for types with certain distinguished
values that someone considers to be aesthetically pleasing.  Such a
value is commonly referred to as a *default* value.

This package exists to introduce artistic variety regarding the
aesthetics of Haskell's base types, but is otherwise identical in
purpose to [data-default].

[data-default]: https://hackage.haskell.org/package/data-default
